## Script (Python) "article_editElement"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=REQUEST, RESPONSE, element
##title=
##
"""\
Save changes to the element.  This is done by going over
the submitted element records and comparing them against the
elements object's editable attributes.  A 'command' object is
built to send to the Element objects 'applyExtra' method, which in turn
applies the command to the Element objects 'editExtra' method.
"""
command = {}
for attr in context.editableExtraAttributes():
    tmp = getattr(context, attr, None)
    command[attr] = element[attr]
context.applyExtra(command)
#raise(str(command))

message='Changes+saved.'
RESPONSE.redirect('%s/element_edit_extra_final?portal_status_message=%s' % (
    context.absolute_url(), message)
                  )

